Package be.fgov.ehealth.mediprima.core.v1

# Class CarmedContentCareType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.CarmedContentCareType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class CarmedContentCareType extends Object implements Serializable

Java class for CarmedContentCareType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CarmedContentCareType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MedicalCover" type="{urn:be:fgov:ehealth:mediprima:core:v1}MedicalCoverType" minOccurs="0"/>
             <element name="RefundPodmiSppis" type="{urn:be:fgov:ehealth:mediprima:core:v1}RefundPodmiSppisType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CarmedContentCareType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MedicalCoverType`
  `getMedicalCover()`
  Medical covers of the medical Card
  `RefundPodmiSppisType`
  `getRefundPodmiSppis()`
  Code that identifies the refund part of the POD MI / SPP IS
  `void`
  `setMedicalCover(MedicalCoverType value)`
  Sets the value of the medicalCover property.
  `void`
  `setRefundPodmiSppis(RefundPodmiSppisType value)`
  Sets the value of the refundPodmiSppis property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CarmedContentCareType

    public CarmedContentCareType()

- ## Method Details

  - ### getMedicalCover

    public MedicalCoverType getMedicalCover()
    Medical covers of the medical Card
    Returns:
      possible object is `MedicalCoverType`

  - ### setMedicalCover

    public void setMedicalCover(MedicalCoverType value)
    Sets the value of the medicalCover property.
    Parameters:
      `value` - allowed object is `MedicalCoverType`
    See Also:
      - `getMedicalCover()`

  - ### getRefundPodmiSppis

    public RefundPodmiSppisType getRefundPodmiSppis()
    Code that identifies the refund part of the POD MI / SPP IS
    Returns:
      possible object is `RefundPodmiSppisType`

  - ### setRefundPodmiSppis

    public void setRefundPodmiSppis(RefundPodmiSppisType value)
    Sets the value of the refundPodmiSppis property.
    Parameters:
      `value` - allowed object is `RefundPodmiSppisType`
    See Also:
      - `getRefundPodmiSppis()`